# $Header: https://oberon.oapd.inaf.it/shins/trunk/shins/src/iif/Service/Makefile.am 2404 2020-02-17 15:46:08Z depa $

include $(top_srcdir)/config/all.mk

AUTOMAKE_OTPIONS =
ACLOCAL_AMFLAGS = ${ACLOCAL_FLAGS}

AM_CXXFLAGS = $(BASDA_CXXFLAGS) $(IIF_CXXFLAGS) -I../Interface/ $(ICE_CXXFLAGS) \
	$(NICE_CXXFLAGS) \
	$(BOOST_CPPFLAGS) \
	$(QT4_CXXFLAGS) \
	$(PYTHON_INCLUDE_DIR)

pkglib_LTLIBRARIES = libLtcsIifService.la 

################################################################################   
libLtcsIifService_la_SOURCES = LtcsIifServiceWorker.cc \
	LtcsIifServiceWorker.h LtcsIifServiceFactory.cc

libLtcsIifService_la_LIBADD =  \
        -lLtcsIifStar_NiceType -lLtcsIifService_NiceType \
        -lNicePythonProperty -lBasdaServiceState_NiceType \
        $(IIF_LIBS) $(BASDA_LIBS) $(BASDA_VINO_LIBS) \
	$(BOOST_PYTHON_LIB) $(NICE_LIBS) $(CFITSIO_LIBS) $(IIF_LIBS)

libLtcsIifService_la_LDFLAGS = -Wl,--no-undefined \
	-version-info $(LIBRARY_VERSION) $(IIF_LDFLAGS) -L../Interface/ \
	$(BASDA_LDFLAGS) $(BOOST_LDFLAGS) $(NICE_LDFLAGS) \
	$(CFITSIO_LDFLAGS) $(IIF_LDFLAGS) $(XERCES_C_LIB)

libLtcsIifService_la_CXXFLAGS = $(IIF_CXXFLAGS) -I../Interface/ \
	$(BASDA_CXXFLAGS) $(NICE_CXXFLAGS) $(PYTHON_INCLUDE_DIR) \
	$(BOOST_CPPFLAGS) $(ICE_CXXFLAGS) $(CFITSIO_CFLAGS) $(IIF_CXXFLAGS) \
	$(XERCES_C_CXXFLAGS)


# libLtcsIifService_la_DEPENDENCIES =

################################################################################

pkgpyexec_LTLIBRARIES = LtcsIifInterface.la

nodist_LtcsIifInterface_la_SOURCES = ../Interface/Ltcs/Iif/ServiceWorkerPy.cc

LtcsIifInterface_la_SOURCES      = LtcsIifPythonWrapper.cc                                     

LtcsIifInterface_la_LIBADD = $(IIF_LIBS) \
	$(BASDA_LIBS) $(NICE_LIBS) $(BOOST_PYTHON_LIB) \
	$(PYTHON_LIBS) -lLtcsIifService $(NICEPY_LIBS) \
	$(BOOST_SYSTEM_LIB) $(ICE_LIBS) $(CFITSIO_LIBS) $(IIF_LIBS) \
	../Interface/libLtcsIifService_NiceType.la


LtcsIifInterface_la_LDFLAGS = -avoid-version \
	-module -Wl,--no-undefined -lNicePythonProperty \
	$(IIF_LDFLAGS) $(BASDA_LDFLAGS) $(ICE_LDFLAGS) \
	$(NICE_LDFLAGS) $(BOOST_LDFLAGS) $(BOOST_SYSTEM_LDFLAGS) \
	$(PYTHON_INCLUDE_DIR) $(LIBRARY_VERSION) $(CFITSIO_LDFLAGS)

LtcsIifInterface_la_CXXFLAGS = $(IIF_CXXFLAGS) -I../Interface/ \
	$(BASDA_CXXFLAGS) $(BOOST_CPPFLAGS) $(NICE_CXXFLAGS) \
	$(PYTHON_INCLUDE_DIR) $(CFITSIO_CFLAGS) $(IIF_CXXFLAGS)

LtcsIifInterface_la_DEPENDENCIES = libLtcsIifService.la


install_pyexecLTLIBRARIES = install-pyexecLTLIBRARIES
$(install_pyexecLTLIBRARIES): install-libLTLIBRARIES

dist_python_SCRIPTS              =


